### AUTOUPDATE-OFF: 1
Name:          kalgebra
Version:       4.14.0
Release:       1mamba
Summary:       A mathematical calculator based content markup MathML language
Group:         Graphical Desktop/Applications/Scientific
Vendor:        openmamba
Distribution:  openmamba
Packager:      Davide Madrisan <davide.madrisan@gmail.com>
URL:           http://www.kde.org
Source:        http://download.kde.org/stable/%{version}/src/kalgebra-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: kdelibs-devel
BuildRequires: kde-workspace-devel
BuildRequires: libgcc
BuildRequires: libGL-devel
BuildRequires: libGLU-devel
BuildRequires: libncurses-devel
BuildRequires: libphonon-devel
BuildRequires: libqt4-devel
BuildRequires: libreadline-devel
BuildRequires: libsoprano-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: libkdeedu-devel
BuildRequires: libanalitza-devel
Requires:      kde-workspace
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
KAlgebra is a mathematical calculator based content markup MathML language.
Nowadays it is capable to make simple MathML operations (arithmetic and logical) and representate 2D and 3D graphs.
It is actually not necessary to know MathML to use KAlgebra.

%prep
%setup -q

%build
%cmake_kde4 -d build \
\
%ifarch arm
   -DWITH_OpenGL:BOOL=OFF
%endif

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

rm -f %{buildroot}%{_kde4_libdir}/libanalitzagui.so
rm -f %{buildroot}%{_kde4_libdir}/libanalitza.so

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
/sbin/ldconfig
touch --no-create %{_kde4_icondir}/hicolor &>/dev/null
exit 0

%posttrans
/sbin/ldconfig
update-desktop-database -q &>/dev/null
gtk-update-icon-cache %{_kde4_icondir}/hicolor &>/dev/null
exit 0

%postun
/sbin/ldconfig
if [ $1 -eq 0 ]; then
   update-desktop-database -q &>/dev/null
   touch --no-create %{_kde4_icondir}/hicolor &>/dev/null
   gtk-update-icon-cache %{_kde4_icondir}/hicolor &>/dev/null
fi
exit 0

%files
%defattr(-,root,root)
#%{_kde4_bindir}/calgebra
%{_kde4_bindir}/kalgebra
%{_kde4_bindir}/kalgebramobile
%dir %{_kde4_datadir}/kalgebramobile
%dir %{_kde4_datadir}/kalgebramobile/plugins
%{_kde4_datadir}/kalgebramobile/plugins/*.qml
%{_kde4_datadir}/kalgebramobile/plugins/*.desktop
%dir %{_kde4_datadir}/kalgebramobile/plugins/widgets
%{_kde4_datadir}/kalgebramobile/plugins/widgets/qmldir
%{_kde4_datadir}/kalgebramobile/plugins/widgets/*.qml
%{_kde4_datadir}/katepart/syntax/kalgebra.xml
%{_kde4_datadir}/plasma/plasmoids/org.kde.graphsplasmoid/contents/ui/config.ui
%{_kde4_datadir}/plasma/plasmoids/org.kde.graphsplasmoid/contents/ui/main.qml
%{_kde4_datadir}/plasma/plasmoids/org.kde.graphsplasmoid/metadata.desktop
%{_kde4_icondir}/hicolor/*/apps/kalgebra.png
%{_kde4_icondir}/hicolor/scalable/apps/kalgebra.svgz
%{_kde4_libdir}/kde4/plasma_applet_kalgebra.so
%{_kde4_libdir}/kde4/imports/org/kde/analitza/Graph2D.qml
%{_kde4_libdir}/kde4/imports/org/kde/analitza/libanalitzadeclarativeplugin.so
%{_kde4_libdir}/kde4/imports/org/kde/analitza/qmldir
%{_kde4_servicesdir}/graphsplasmoid.desktop
%{_kde4_servicesdir}/kalgebraplasmoid.desktop
%{_kde4_sharedir}/appdata/kalgebra.appdata.xml
%{_kde4_xdgappsdir}/kalgebra.desktop
%{_kde4_xdgappsdir}/kalgebramobile.desktop
%doc %lang(en) %{_kde4_htmldir}/en/kalgebra
%doc COPYING COPYING.DOC COPYING.LIB

%changelog
* Fri Aug 22 2014 Automatic Build System <autodist@mambasoft.it> 4.14.0-1mamba
- automatic version update by autodist

* Tue Jul 15 2014 Automatic Build System <autodist@mambasoft.it> 4.13.3-1mamba
- automatic version update by autodist

* Fri Jun 13 2014 Automatic Build System <autodist@mambasoft.it> 4.13.2-1mamba
- automatic version update by autodist

* Mon May 19 2014 Automatic Build System <autodist@mambasoft.it> 4.13.1-1mamba
- automatic version update by autodist

* Thu Apr 17 2014 Automatic Build System <autodist@mambasoft.it> 4.13.0-1mamba
- automatic version update by autodist

* Thu Apr 03 2014 Automatic Build System <autodist@mambasoft.it> 4.12.4-1mamba
- automatic version update by autodist

* Wed Mar 05 2014 Automatic Build System <autodist@mambasoft.it> 4.12.3-1mamba
- automatic version update by autodist

* Wed Feb 05 2014 Automatic Build System <autodist@mambasoft.it> 4.12.2-1mamba
- automatic version update by autodist

* Tue Jan 14 2014 Automatic Build System <autodist@mambasoft.it> 4.12.1-1mamba
- automatic version update by autodist

* Thu Dec 19 2013 Automatic Build System <autodist@mambasoft.it> 4.12.0-1mamba
- automatic version update by autodist

* Thu Dec 05 2013 Automatic Build System <autodist@mambasoft.it> 4.11.4-1mamba
- automatic version update by autodist

* Wed Nov 06 2013 Automatic Build System <autodist@mambasoft.it> 4.11.3-1mamba
- automatic version update by autodist

* Wed Oct 02 2013 Automatic Build System <autodist@mambasoft.it> 4.11.2-1mamba
- automatic version update by autodist

* Wed Sep 04 2013 Automatic Build System <autodist@mambasoft.it> 4.11.1-1mamba
- automatic version update by autodist

* Wed Aug 14 2013 Automatic Build System <autodist@mambasoft.it> 4.11.0-1mamba
- automatic version update by autodist

* Tue Jul 02 2013 Automatic Build System <autodist@mambasoft.it> 4.10.5-1mamba
- automatic version update by autodist

* Wed Jun 05 2013 Automatic Build System <autodist@mambasoft.it> 4.10.4-1mamba
- automatic version update by autodist

* Tue May 07 2013 Automatic Build System <autodist@mambasoft.it> 4.10.3-1mamba
- automatic version update by autodist

* Wed Apr 03 2013 Automatic Build System <autodist@mambasoft.it> 4.10.2-1mamba
- automatic version update by autodist

* Tue Mar 05 2013 Automatic Build System <autodist@mambasoft.it> 4.10.1-1mamba
- automatic version update by autodist

* Fri Feb 15 2013 Automatic Build System <autodist@mambasoft.it> 4.10.0-1mamba
- automatic version update by autodist

* Thu Jan 03 2013 Automatic Build System <autodist@mambasoft.it> 4.9.5-1mamba
- automatic version update by autodist

* Wed Dec 05 2012 Automatic Build System <autodist@mambasoft.it> 4.9.4-1mamba
- automatic version update by autodist

* Thu Nov 08 2012 Automatic Build System <autodist@mambasoft.it> 4.9.3-1mamba
- automatic version update by autodist

* Thu Oct 04 2012 Automatic Build System <autodist@mambasoft.it> 4.9.2-1mamba
- automatic version update by autodist

* Thu Sep 06 2012 Automatic Build System <autodist@mambasoft.it> 4.9.1-1mamba
- automatic version update by autodist

* Wed Aug 15 2012 Automatic Build System <autodist@mambasoft.it> 4.9.0-1mamba
- automatic version update by autodist

* Sun Jun 10 2012 Automatic Build System <autodist@mambasoft.it> 4.8.4-1mamba
- automatic version update by autodist

* Sat May 05 2012 Automatic Build System <autodist@mambasoft.it> 4.8.3-1mamba
- automatic version update by autodist

* Sat Apr 07 2012 Automatic Build System <autodist@mambasoft.it> 4.8.2-1mamba
- automatic version update by autodist

* Tue Mar 27 2012 Automatic Build System <autodist@mambasoft.it> 4.8.1-1mamba
- automatic version update by autodist

* Sun Dec 11 2011 Automatic Build System <autodist@mambasoft.it> 4.7.4-1mamba
- automatic version update by autodist

* Thu Nov 03 2011 Automatic Build System <autodist@mambasoft.it> 4.7.3-1mamba
- automatic version update by autodist

* Fri Oct 14 2011 Automatic Build System <autodist@mambasoft.it> 4.7.2-1mamba
- automatic version update by autodist

* Sun Sep 25 2011 Davide Madrisan <davide.madrisan@gmail.com> 4.7.1-1mamba
- package created by autospec
